import{S as Xd,i as Qd,s as Ud,e as r,k as h,w,t as p,M as Vd,c as a,d as t,m as f,a as i,x as b,h as m,b as q,G as e,g as k,y as T,q as O,o as M,B as y,v as Wd,L as S}from"../../../chunks/vendor-hf-doc-builder.js";import{T as Qe}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as P}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as fe}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as z}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Hd(E){let n,_,c,u,g;return{c(){n=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(l,"CODE",{});var x=i(c);u=m(x,"Module"),x.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(s,l){k(s,n,l),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function Bd(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){n=r("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Example of text generation:"),l.forEach(t),c=f(s),b(u.$$.fragment,s)},m(s,l){k(s,n,l),e(n,_),k(s,c,l),T(u,s,l),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function Gd(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){n=r("p"),_=p("Example using "),c=r("code"),u=p("transformers.pipelines"),g=p(":"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example using "),c=a($,"CODE",{});var j=i(c);u=m(j,"transformers.pipelines"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function Jd(E){let n,_,c,u,g;return{c(){n=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(l,"CODE",{});var x=i(c);u=m(x,"Module"),x.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(s,l){k(s,n,l),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function Yd(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){n=r("p"),_=p("Example of custom tasks(e.g. a sentence transformers taking "),c=r("code"),u=p("pooler_output"),g=p(" as output):"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example of custom tasks(e.g. a sentence transformers taking "),c=a($,"CODE",{});var j=i(c);u=m(j,"pooler_output"),j.forEach(t),g=m($," as output):"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function Kd(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){n=r("p"),_=p("Example using "),c=r("code"),u=p("transformers.pipelines"),g=p("(only if the task is supported):"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example using "),c=a($,"CODE",{});var j=i(c);u=m(j,"transformers.pipelines"),j.forEach(t),g=m($,"(only if the task is supported):"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function Zd(E){let n,_,c,u,g;return{c(){n=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(l,"CODE",{});var x=i(c);u=m(x,"Module"),x.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(s,l){k(s,n,l),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function ec(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){n=r("p"),_=p("Example of feature extraction:"),c=h(),w(u.$$.fragment)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Example of feature extraction:"),l.forEach(t),c=f(s),b(u.$$.fragment,s)},m(s,l){k(s,n,l),e(n,_),k(s,c,l),T(u,s,l),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function tc(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){n=r("p"),_=p("Example using "),c=r("code"),u=p("transformers.pipeline"),g=p(":"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example using "),c=a($,"CODE",{});var j=i(c);u=m(j,"transformers.pipeline"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function oc(E){let n,_,c,u,g;return{c(){n=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(l,"CODE",{});var x=i(c);u=m(x,"Module"),x.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(s,l){k(s,n,l),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function nc(E){let n,_,c,u,g;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){n=r("p"),_=p("Example of image classification:"),c=h(),w(u.$$.fragment)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Example of image classification:"),l.forEach(t),c=f(s),b(u.$$.fragment,s)},m(s,l){k(s,n,l),e(n,_),k(s,c,l),T(u,s,l),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function sc(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){n=r("p"),_=p("Example using "),c=r("code"),u=p("transformers.pipeline"),g=p(":"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example using "),c=a($,"CODE",{});var j=i(c);u=m(j,"transformers.pipeline"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function rc(E){let n,_,c,u,g;return{c(){n=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(l,"CODE",{});var x=i(c);u=m(x,"Module"),x.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(s,l){k(s,n,l),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function ac(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){n=r("p"),_=p("Example of question answering:"),c=h(),w(u.$$.fragment)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Example of question answering:"),l.forEach(t),c=f(s),b(u.$$.fragment,s)},m(s,l){k(s,n,l),e(n,_),k(s,c,l),T(u,s,l),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function ic(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){n=r("p"),_=p("Example using "),c=r("code"),u=p("transformers.pipeline"),g=p(":"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example using "),c=a($,"CODE",{});var j=i(c);u=m(j,"transformers.pipeline"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function lc(E){let n,_,c,u,g;return{c(){n=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(l,"CODE",{});var x=i(c);u=m(x,"Module"),x.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(s,l){k(s,n,l),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function pc(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){n=r("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Example of text generation:"),l.forEach(t),c=f(s),b(u.$$.fragment,s)},m(s,l){k(s,n,l),e(n,_),k(s,c,l),T(u,s,l),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function mc(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){n=r("p"),_=p("Example using "),c=r("code"),u=p("transformers.pipeline"),g=p(":"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example using "),c=a($,"CODE",{});var j=i(c);u=m(j,"transformers.pipeline"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function dc(E){let n,_,c,u,g;return{c(){n=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(l,"CODE",{});var x=i(c);u=m(x,"Module"),x.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(s,l){k(s,n,l),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function cc(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){n=r("p"),_=p("Example of single-label classification:"),c=h(),w(u.$$.fragment)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Example of single-label classification:"),l.forEach(t),c=f(s),b(u.$$.fragment,s)},m(s,l){k(s,n,l),e(n,_),k(s,c,l),T(u,s,l),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function uc(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){n=r("p"),_=p("Example using "),c=r("code"),u=p("transformers.pipelines"),g=p(":"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example using "),c=a($,"CODE",{});var j=i(c);u=m(j,"transformers.pipelines"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function hc(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=<span class="hljs-literal">True</span>)`}}),{c(){n=r("p"),_=p("Example using zero-shot-classification "),c=r("code"),u=p("transformers.pipelines"),g=p(":"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example using zero-shot-classification "),c=a($,"CODE",{});var j=i(c);u=m(j,"transformers.pipelines"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function fc(E){let n,_,c,u,g;return{c(){n=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(l,"CODE",{});var x=i(c);u=m(x,"Module"),x.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(s,l){k(s,n,l),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function gc(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){n=r("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Example of text generation:"),l.forEach(t),c=f(s),b(u.$$.fragment,s)},m(s,l){k(s,n,l),e(n,_),k(s,c,l),T(u,s,l),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function _c(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){n=r("p"),_=p("Example using "),c=r("code"),u=p("transformers.pipeline"),g=p(":"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example using "),c=a($,"CODE",{});var j=i(c);u=m(j,"transformers.pipeline"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function $c(E){let n,_,c,u,g;return{c(){n=r("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(l,"CODE",{});var x=i(c);u=m(x,"Module"),x.forEach(t),g=m(l,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),l.forEach(t)},m(s,l){k(s,n,l),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function vc(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){n=r("p"),_=p("Example of token classification:"),c=h(),w(u.$$.fragment)},l(s){n=a(s,"P",{});var l=i(n);_=m(l,"Example of token classification:"),l.forEach(t),c=f(s),b(u.$$.fragment,s)},m(s,l){k(s,n,l),e(n,_),k(s,c,l),T(u,s,l),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function kc(E){let n,_,c,u,g,s,l,x;return l=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){n=r("p"),_=p("Example using "),c=r("code"),u=p("transformers.pipelines"),g=p(":"),s=h(),w(l.$$.fragment)},l(d){n=a(d,"P",{});var $=i(n);_=m($,"Example using "),c=a($,"CODE",{});var j=i(c);u=m(j,"transformers.pipelines"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),b(l.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),T(l,d,$),x=!0},p:S,i(d){x||(O(l.$$.fragment,d),x=!0)},o(d){M(l.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(l,d)}}}function xc(E){let n,_,c,u,g,s,l,x,d,$,j,Ue,Zo,At,Lr,en,Xr,Gs,F,Nt,Qr,tn,Ur,Vr,It,Wr,on,Hr,Br,Gr,nn,Jr,Yr,Dt,le,Kr,sn,Zr,ea,rn,ta,oa,an,na,sa,ra,pe,aa,ln,ia,la,pn,pa,ma,mn,da,ca,ua,dn,ha,fa,K,Lt,ga,cn,_a,$a,va,Xt,ka,Qt,xa,wa,ba,Z,Ta,un,Oa,Ma,hn,ya,qa,fn,Ea,ja,gn,Ra,Fa,Ca,Ut,za,_n,Sa,Pa,Aa,$n,Na,Ia,Ve,Vt,Da,vn,La,Xa,We,Wt,Qa,Ht,Ua,kn,Va,Wa,Ha,He,Bt,Ba,xn,Ga,Js,Oe,Be,wn,Gt,Ja,bn,Ya,Ys,me,Jt,Ka,Tn,Za,ei,U,Yt,ti,Me,oi,On,ni,si,Mn,ri,ai,ii,Ge,li,Je,pi,Ye,Ks,ye,Ke,yn,Kt,mi,qn,di,Zs,A,Zt,ci,En,ui,hi,eo,fi,jn,gi,_i,$i,Rn,vi,ki,V,to,xi,qe,wi,Fn,bi,Ti,Cn,Oi,Mi,yi,Ze,qi,et,Ei,tt,ji,ot,oo,Ri,zn,Fi,er,Ee,nt,Sn,no,Ci,Pn,zi,tr,N,so,Si,An,Pi,Ai,ro,Ni,Nn,Ii,Di,Li,In,Xi,Qi,W,ao,Ui,je,Vi,Dn,Wi,Hi,Ln,Bi,Gi,Ji,st,Yi,rt,Ki,at,Zi,it,io,el,Xn,tl,or,Re,lt,Qn,lo,ol,Un,nl,nr,I,po,sl,Vn,rl,al,mo,il,Wn,ll,pl,ml,Hn,dl,cl,H,co,ul,Fe,hl,Bn,fl,gl,Gn,_l,$l,vl,pt,kl,mt,xl,dt,wl,ct,uo,bl,Jn,Tl,sr,Ce,ut,Yn,ho,Ol,Kn,Ml,rr,D,fo,yl,Zn,ql,El,go,jl,es,Rl,Fl,Cl,ts,zl,Sl,B,_o,Pl,ze,Al,os,Nl,Il,ns,Dl,Ll,Xl,ht,Ql,ft,Ul,gt,Vl,_t,$o,Wl,ss,Hl,ar,Se,$t,rs,vo,Bl,as,Gl,ir,de,ko,Jl,is,Yl,Kl,G,xo,Zl,Pe,ep,ls,tp,op,ps,np,sp,rp,vt,ap,kt,ip,xt,lr,Ae,wt,ms,wo,lp,ds,pp,pr,L,bo,mp,cs,dp,cp,To,up,us,hp,fp,gp,hs,_p,$p,Q,Oo,vp,Ne,kp,fs,xp,wp,gs,bp,Tp,Op,bt,Mp,Tt,yp,Ot,qp,Mt,Ep,yt,Mo,jp,_s,Rp,mr,Ie,qt,$s,yo,Fp,vs,Cp,dr,ce,qo,zp,ks,Sp,Pp,J,Eo,Ap,De,Np,xs,Ip,Dp,ws,Lp,Xp,Qp,Et,Up,jt,Vp,Rt,cr,Le,Ft,bs,jo,Wp,Ts,Hp,ur,X,Ro,Bp,Os,Gp,Jp,Fo,Yp,Ms,Kp,Zp,em,ys,tm,om,Y,Co,nm,Xe,sm,qs,rm,am,Es,im,lm,pm,Ct,mm,zt,dm,St,cm,Pt,zo,um,js,hm,hr;return s=new fe({}),At=new fe({}),Nt=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L120"}}),Vt=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, <em>optional</em>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L491",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),Wt=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L251"}}),Bt=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L225",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),Gt=new fe({}),Jt=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L704"}}),Yt=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L712"}}),Ge=new Qe({props:{$$slots:{default:[Hd]},$$scope:{ctx:E}}}),Je=new z({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[Bd]},$$scope:{ctx:E}}}),Ye=new z({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Gd]},$$scope:{ctx:E}}}),Kt=new fe({}),Zt=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1583"}}),to=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1626"}}),Ze=new Qe({props:{$$slots:{default:[Jd]},$$scope:{ctx:E}}}),et=new z({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Yd]},$$scope:{ctx:E}}}),tt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[Kd]},$$scope:{ctx:E}}}),oo=new R({props:{name:"prepare_io_binding",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.prepare_io_binding",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1595"}}),no=new fe({}),so=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L579"}}),ao=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L662"}}),st=new Qe({props:{$$slots:{default:[Zd]},$$scope:{ctx:E}}}),rt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[ec]},$$scope:{ctx:E}}}),at=new z({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[tc]},$$scope:{ctx:E}}}),io=new R({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L591"}}),lo=new fe({}),po=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1453"}}),co=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1507"}}),pt=new Qe({props:{$$slots:{default:[oc]},$$scope:{ctx:E}}}),mt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[nc]},$$scope:{ctx:E}}}),dt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[sc]},$$scope:{ctx:E}}}),uo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1465"}}),ho=new fe({}),fo=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L750"}}),_o=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L841"}}),ht=new Qe({props:{$$slots:{default:[rc]},$$scope:{ctx:E}}}),ft=new z({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[ac]},$$scope:{ctx:E}}}),gt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[ic]},$$scope:{ctx:E}}}),$o=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L762"}}),vo=new fe({}),ko=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1153"}}),xo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1176"}}),vt=new Qe({props:{$$slots:{default:[lc]},$$scope:{ctx:E}}}),kt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[pc]},$$scope:{ctx:E}}}),xt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[mc]},$$scope:{ctx:E}}}),wo=new fe({}),bo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L949"}}),Oo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1031"}}),bt=new Qe({props:{$$slots:{default:[dc]},$$scope:{ctx:E}}}),Tt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[cc]},$$scope:{ctx:E}}}),Ot=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[uc]},$$scope:{ctx:E}}}),Mt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[hc]},$$scope:{ctx:E}}}),Mo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L962"}}),yo=new fe({}),qo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1261"}}),Eo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1294"}}),Et=new Qe({props:{$$slots:{default:[fc]},$$scope:{ctx:E}}}),jt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[gc]},$$scope:{ctx:E}}}),Rt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[_c]},$$scope:{ctx:E}}}),jo=new fe({}),Ro=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1119"}}),Co=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1201"}}),Ct=new Qe({props:{$$slots:{default:[$c]},$$scope:{ctx:E}}}),zt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[vc]},$$scope:{ctx:E}}}),St=new z({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[kc]},$$scope:{ctx:E}}}),zo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1131"}}),{c(){n=r("meta"),_=h(),c=r("h1"),u=r("a"),g=r("span"),w(s.$$.fragment),l=h(),x=r("span"),d=p("Models"),$=h(),j=r("h2"),Ue=r("a"),Zo=r("span"),w(At.$$.fragment),Lr=h(),en=r("span"),Xr=p("ORTModel"),Gs=h(),F=r("div"),w(Nt.$$.fragment),Qr=h(),tn=r("p"),Ur=p("Base class for implementing models using ONNX Runtime."),Vr=h(),It=r("p"),Wr=p(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),on=r("code"),Hr=p("optimum.exporters.onnx"),Br=p(" toolchain."),Gr=h(),nn=r("p"),Jr=p("Class attributes:"),Yr=h(),Dt=r("ul"),le=r("li"),Kr=p("model_type ("),sn=r("code"),Zr=p("str"),ea=p(", "),rn=r("em"),ta=p("optional"),oa=p(", defaults to "),an=r("code"),na=p('"onnx_model"'),sa=p(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),ra=h(),pe=r("li"),aa=p("auto_model_class ("),ln=r("code"),ia=p("Type"),la=p(", "),pn=r("em"),pa=p("optional"),ma=p(", defaults to "),mn=r("code"),da=p("AutoModel"),ca=p(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),ua=h(),dn=r("p"),ha=p("Common attributes:"),fa=h(),K=r("ul"),Lt=r("li"),ga=p("model ("),cn=r("code"),_a=p("ort.InferenceSession"),$a=p(") \u2014 The ONNX Runtime InferenceSession that is running the model."),va=h(),Xt=r("li"),ka=p("config ("),Qt=r("a"),xa=p("PretrainedConfig"),wa=p(" \u2014 The configuration of the model."),ba=h(),Z=r("li"),Ta=p("use_io_binding ("),un=r("code"),Oa=p("bool"),Ma=p(", "),hn=r("em"),ya=p("optional"),qa=p(", defaults to "),fn=r("code"),Ea=p("True"),ja=p(") \u2014 Whether to use I/O bindings with "),gn=r("strong"),Ra=p(`ONNX Runtime
with the CUDAExecutionProvider`),Fa=p(", this can significantly speedup inference depending on the task."),Ca=h(),Ut=r("li"),za=p("model_save_dir ("),_n=r("code"),Sa=p("Path"),Pa=p(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Aa=h(),$n=r("li"),Na=p("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Ia=h(),Ve=r("div"),w(Vt.$$.fragment),Da=h(),vn=r("p"),La=p("Instantiate a pretrained model from a pre-trained model configuration."),Xa=h(),We=r("div"),w(Wt.$$.fragment),Qa=h(),Ht=r("p"),Ua=p("Loads an ONNX Inference session with a given provider. Default provider is "),kn=r("code"),Va=p("CPUExecutionProvider"),Wa=p(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Ha=h(),He=r("div"),w(Bt.$$.fragment),Ba=h(),xn=r("p"),Ga=p("Changes the ONNX Runtime provider according to the device."),Js=h(),Oe=r("h2"),Be=r("a"),wn=r("span"),w(Gt.$$.fragment),Ja=h(),bn=r("span"),Ya=p("ORTModelForCausalLM"),Ys=h(),me=r("div"),w(Jt.$$.fragment),Ka=h(),Tn=r("p"),Za=p("ONNX model with a causal language modeling head for ONNX Runtime inference."),ei=h(),U=r("div"),w(Yt.$$.fragment),ti=h(),Me=r("p"),oi=p("The "),On=r("code"),ni=p("ORTModelForCausalLM"),si=p(" forward method, overrides the "),Mn=r("code"),ri=p("__call__"),ai=p(" special method."),ii=h(),w(Ge.$$.fragment),li=h(),w(Je.$$.fragment),pi=h(),w(Ye.$$.fragment),Ks=h(),ye=r("h2"),Ke=r("a"),yn=r("span"),w(Kt.$$.fragment),mi=h(),qn=r("span"),di=p("ORTModelForCustomTasks"),Zs=h(),A=r("div"),w(Zt.$$.fragment),ci=h(),En=r("p"),ui=p("Onnx Model for any custom tasks. It can be used to leverage the inference acceleration with any custom exported ONNX model."),hi=h(),eo=r("p"),fi=p("This model inherits from [~"),jn=r("code"),gi=p("onnxruntime.modeling_ort.ORTModel"),_i=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),$i=h(),Rn=r("p"),vi=p("Onnx Model for any custom tasks using encoder or decoder-only models."),ki=h(),V=r("div"),w(to.$$.fragment),xi=h(),qe=r("p"),wi=p("The "),Fn=r("code"),bi=p("ORTModelForCustomTasks"),Ti=p(" forward method, overrides the "),Cn=r("code"),Oi=p("__call__"),Mi=p(" special method."),yi=h(),w(Ze.$$.fragment),qi=h(),w(et.$$.fragment),Ei=h(),w(tt.$$.fragment),ji=h(),ot=r("div"),w(oo.$$.fragment),Ri=h(),zn=r("p"),Fi=p(`Returns IOBinding object for an inference session. This method is created for general purpose, if the inputs and outputs
are determined, you can prepare data buffers directly to avoid tensor transfers across frameworks.`),er=h(),Ee=r("h2"),nt=r("a"),Sn=r("span"),w(no.$$.fragment),Ci=h(),Pn=r("span"),zi=p("ORTModelForFeatureExtraction"),tr=h(),N=r("div"),w(so.$$.fragment),Si=h(),An=r("p"),Pi=p("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Ai=h(),ro=r("p"),Ni=p("This model inherits from [~"),Nn=r("code"),Ii=p("onnxruntime.modeling_ort.ORTModel"),Di=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Li=h(),In=r("p"),Xi=p("Feature Extraction model for ONNX."),Qi=h(),W=r("div"),w(ao.$$.fragment),Ui=h(),je=r("p"),Vi=p("The "),Dn=r("code"),Wi=p("ORTModelForFeatureExtraction"),Hi=p(" forward method, overrides the "),Ln=r("code"),Bi=p("__call__"),Gi=p(" special method."),Ji=h(),w(st.$$.fragment),Yi=h(),w(rt.$$.fragment),Ki=h(),w(at.$$.fragment),Zi=h(),it=r("div"),w(io.$$.fragment),el=h(),Xn=r("p"),tl=p("Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),or=h(),Re=r("h2"),lt=r("a"),Qn=r("span"),w(lo.$$.fragment),ol=h(),Un=r("span"),nl=p("ORTModelForImageClassification"),nr=h(),I=r("div"),w(po.$$.fragment),sl=h(),Vn=r("p"),rl=p("Onnx Model for image-classification tasks."),al=h(),mo=r("p"),il=p("This model inherits from [~"),Wn=r("code"),ll=p("onnxruntime.modeling_ort.ORTModel"),pl=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ml=h(),Hn=r("p"),dl=p("Image Classification model for ONNX."),cl=h(),H=r("div"),w(co.$$.fragment),ul=h(),Fe=r("p"),hl=p("The "),Bn=r("code"),fl=p("ORTModelForImageClassification"),gl=p(" forward method, overrides the "),Gn=r("code"),_l=p("__call__"),$l=p(" special method."),vl=h(),w(pt.$$.fragment),kl=h(),w(mt.$$.fragment),xl=h(),w(dt.$$.fragment),wl=h(),ct=r("div"),w(uo.$$.fragment),bl=h(),Jn=r("p"),Tl=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),sr=h(),Ce=r("h2"),ut=r("a"),Yn=r("span"),w(ho.$$.fragment),Ol=h(),Kn=r("span"),Ml=p("ORTModelForQuestionAnswering"),rr=h(),D=r("div"),w(fo.$$.fragment),yl=h(),Zn=r("p"),ql=p("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),El=h(),go=r("p"),jl=p("This model inherits from [~"),es=r("code"),Rl=p("onnxruntime.modeling_ort.ORTModel"),Fl=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Cl=h(),ts=r("p"),zl=p("Question Answering model for ONNX."),Sl=h(),B=r("div"),w(_o.$$.fragment),Pl=h(),ze=r("p"),Al=p("The "),os=r("code"),Nl=p("ORTModelForQuestionAnswering"),Il=p(" forward method, overrides the "),ns=r("code"),Dl=p("__call__"),Ll=p(" special method."),Xl=h(),w(ht.$$.fragment),Ql=h(),w(ft.$$.fragment),Ul=h(),w(gt.$$.fragment),Vl=h(),_t=r("div"),w($o.$$.fragment),Wl=h(),ss=r("p"),Hl=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),ar=h(),Se=r("h2"),$t=r("a"),rs=r("span"),w(vo.$$.fragment),Bl=h(),as=r("span"),Gl=p("ORTModelForSeq2SeqLM"),ir=h(),de=r("div"),w(ko.$$.fragment),Jl=h(),is=r("p"),Yl=p("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Kl=h(),G=r("div"),w(xo.$$.fragment),Zl=h(),Pe=r("p"),ep=p("The "),ls=r("code"),tp=p("ORTModelForSeq2SeqLM"),op=p(" forward method, overrides the "),ps=r("code"),np=p("__call__"),sp=p(" special method."),rp=h(),w(vt.$$.fragment),ap=h(),w(kt.$$.fragment),ip=h(),w(xt.$$.fragment),lr=h(),Ae=r("h2"),wt=r("a"),ms=r("span"),w(wo.$$.fragment),lp=h(),ds=r("span"),pp=p("ORTModelForSequenceClassification"),pr=h(),L=r("div"),w(bo.$$.fragment),mp=h(),cs=r("p"),dp=p(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),cp=h(),To=r("p"),up=p("This model inherits from [~"),us=r("code"),hp=p("onnxruntime.modeling_ort.ORTModel"),fp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),gp=h(),hs=r("p"),_p=p("Sequence Classification model for ONNX."),$p=h(),Q=r("div"),w(Oo.$$.fragment),vp=h(),Ne=r("p"),kp=p("The "),fs=r("code"),xp=p("ORTModelForSequenceClassification"),wp=p(" forward method, overrides the "),gs=r("code"),bp=p("__call__"),Tp=p(" special method."),Op=h(),w(bt.$$.fragment),Mp=h(),w(Tt.$$.fragment),yp=h(),w(Ot.$$.fragment),qp=h(),w(Mt.$$.fragment),Ep=h(),yt=r("div"),w(Mo.$$.fragment),jp=h(),_s=r("p"),Rp=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),mr=h(),Ie=r("h2"),qt=r("a"),$s=r("span"),w(yo.$$.fragment),Fp=h(),vs=r("span"),Cp=p("ORTModelForSpeechSeq2Seq"),dr=h(),ce=r("div"),w(qo.$$.fragment),zp=h(),ks=r("p"),Sp=p("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Pp=h(),J=r("div"),w(Eo.$$.fragment),Ap=h(),De=r("p"),Np=p("The "),xs=r("code"),Ip=p("ORTModelForSpeechSeq2Seq"),Dp=p(" forward method, overrides the "),ws=r("code"),Lp=p("__call__"),Xp=p(" special method."),Qp=h(),w(Et.$$.fragment),Up=h(),w(jt.$$.fragment),Vp=h(),w(Rt.$$.fragment),cr=h(),Le=r("h2"),Ft=r("a"),bs=r("span"),w(jo.$$.fragment),Wp=h(),Ts=r("span"),Hp=p("ORTModelForTokenClassification"),ur=h(),X=r("div"),w(Ro.$$.fragment),Bp=h(),Os=r("p"),Gp=p(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Jp=h(),Fo=r("p"),Yp=p("This model inherits from [~"),Ms=r("code"),Kp=p("onnxruntime.modeling_ort.ORTModel"),Zp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),em=h(),ys=r("p"),tm=p("Token Classification model for ONNX."),om=h(),Y=r("div"),w(Co.$$.fragment),nm=h(),Xe=r("p"),sm=p("The "),qs=r("code"),rm=p("ORTModelForTokenClassification"),am=p(" forward method, overrides the "),Es=r("code"),im=p("__call__"),lm=p(" special method."),pm=h(),w(Ct.$$.fragment),mm=h(),w(zt.$$.fragment),dm=h(),w(St.$$.fragment),cm=h(),Pt=r("div"),w(zo.$$.fragment),um=h(),js=r("p"),hm=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),this.h()},l(o){const v=Vd('[data-svelte="svelte-1phssyn"]',document.head);n=a(v,"META",{name:!0,content:!0}),v.forEach(t),_=f(o),c=a(o,"H1",{class:!0});var So=i(c);u=a(So,"A",{id:!0,class:!0,href:!0});var Rs=i(u);g=a(Rs,"SPAN",{});var Fs=i(g);b(s.$$.fragment,Fs),Fs.forEach(t),Rs.forEach(t),l=f(So),x=a(So,"SPAN",{});var Cs=i(x);d=m(Cs,"Models"),Cs.forEach(t),So.forEach(t),$=f(o),j=a(o,"H2",{class:!0});var Po=i(j);Ue=a(Po,"A",{id:!0,class:!0,href:!0});var zs=i(Ue);Zo=a(zs,"SPAN",{});var Ss=i(Zo);b(At.$$.fragment,Ss),Ss.forEach(t),zs.forEach(t),Lr=f(Po),en=a(Po,"SPAN",{});var Ps=i(en);Xr=m(Ps,"ORTModel"),Ps.forEach(t),Po.forEach(t),Gs=f(o),F=a(o,"DIV",{class:!0});var C=i(F);b(Nt.$$.fragment,C),Qr=f(C),tn=a(C,"P",{});var As=i(tn);Ur=m(As,"Base class for implementing models using ONNX Runtime."),As.forEach(t),Vr=f(C),It=a(C,"P",{});var Ao=i(It);Wr=m(Ao,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),on=a(Ao,"CODE",{});var Ns=i(on);Hr=m(Ns,"optimum.exporters.onnx"),Ns.forEach(t),Br=m(Ao," toolchain."),Ao.forEach(t),Gr=f(C),nn=a(C,"P",{});var Is=i(nn);Jr=m(Is,"Class attributes:"),Is.forEach(t),Yr=f(C),Dt=a(C,"UL",{});var No=i(Dt);le=a(No,"LI",{});var ue=i(le);Kr=m(ue,"model_type ("),sn=a(ue,"CODE",{});var Ds=i(sn);Zr=m(Ds,"str"),Ds.forEach(t),ea=m(ue,", "),rn=a(ue,"EM",{});var Ls=i(rn);ta=m(Ls,"optional"),Ls.forEach(t),oa=m(ue,", defaults to "),an=a(ue,"CODE",{});var Xs=i(an);na=m(Xs,'"onnx_model"'),Xs.forEach(t),sa=m(ue,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),ue.forEach(t),ra=f(No),pe=a(No,"LI",{});var he=i(pe);aa=m(he,"auto_model_class ("),ln=a(he,"CODE",{});var Qs=i(ln);ia=m(Qs,"Type"),Qs.forEach(t),la=m(he,", "),pn=a(he,"EM",{});var Us=i(pn);pa=m(Us,"optional"),Us.forEach(t),ma=m(he,", defaults to "),mn=a(he,"CODE",{});var Vs=i(mn);da=m(Vs,"AutoModel"),Vs.forEach(t),ca=m(he,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),he.forEach(t),No.forEach(t),ua=f(C),dn=a(C,"P",{});var Ws=i(dn);ha=m(Ws,"Common attributes:"),Ws.forEach(t),fa=f(C),K=a(C,"UL",{});var ee=i(K);Lt=a(ee,"LI",{});var Io=i(Lt);ga=m(Io,"model ("),cn=a(Io,"CODE",{});var Hs=i(cn);_a=m(Hs,"ort.InferenceSession"),Hs.forEach(t),$a=m(Io,") \u2014 The ONNX Runtime InferenceSession that is running the model."),Io.forEach(t),va=f(ee),Xt=a(ee,"LI",{});var Do=i(Xt);ka=m(Do,"config ("),Qt=a(Do,"A",{href:!0,rel:!0});var Bs=i(Qt);xa=m(Bs,"PretrainedConfig"),Bs.forEach(t),wa=m(Do," \u2014 The configuration of the model."),Do.forEach(t),ba=f(ee),Z=a(ee,"LI",{});var ge=i(Z);Ta=m(ge,"use_io_binding ("),un=a(ge,"CODE",{});var fm=i(un);Oa=m(fm,"bool"),fm.forEach(t),Ma=m(ge,", "),hn=a(ge,"EM",{});var gm=i(hn);ya=m(gm,"optional"),gm.forEach(t),qa=m(ge,", defaults to "),fn=a(ge,"CODE",{});var _m=i(fn);Ea=m(_m,"True"),_m.forEach(t),ja=m(ge,") \u2014 Whether to use I/O bindings with "),gn=a(ge,"STRONG",{});var $m=i(gn);Ra=m($m,`ONNX Runtime
with the CUDAExecutionProvider`),$m.forEach(t),Fa=m(ge,", this can significantly speedup inference depending on the task."),ge.forEach(t),Ca=f(ee),Ut=a(ee,"LI",{});var fr=i(Ut);za=m(fr,"model_save_dir ("),_n=a(fr,"CODE",{});var vm=i(_n);Sa=m(vm,"Path"),vm.forEach(t),Pa=m(fr,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),fr.forEach(t),Aa=f(ee),$n=a(ee,"LI",{});var km=i($n);Na=m(km,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),km.forEach(t),ee.forEach(t),Ia=f(C),Ve=a(C,"DIV",{class:!0});var gr=i(Ve);b(Vt.$$.fragment,gr),Da=f(gr),vn=a(gr,"P",{});var xm=i(vn);La=m(xm,"Instantiate a pretrained model from a pre-trained model configuration."),xm.forEach(t),gr.forEach(t),Xa=f(C),We=a(C,"DIV",{class:!0});var _r=i(We);b(Wt.$$.fragment,_r),Qa=f(_r),Ht=a(_r,"P",{});var $r=i(Ht);Ua=m($r,"Loads an ONNX Inference session with a given provider. Default provider is "),kn=a($r,"CODE",{});var wm=i(kn);Va=m(wm,"CPUExecutionProvider"),wm.forEach(t),Wa=m($r,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),$r.forEach(t),_r.forEach(t),Ha=f(C),He=a(C,"DIV",{class:!0});var vr=i(He);b(Bt.$$.fragment,vr),Ba=f(vr),xn=a(vr,"P",{});var bm=i(xn);Ga=m(bm,"Changes the ONNX Runtime provider according to the device."),bm.forEach(t),vr.forEach(t),C.forEach(t),Js=f(o),Oe=a(o,"H2",{class:!0});var kr=i(Oe);Be=a(kr,"A",{id:!0,class:!0,href:!0});var Tm=i(Be);wn=a(Tm,"SPAN",{});var Om=i(wn);b(Gt.$$.fragment,Om),Om.forEach(t),Tm.forEach(t),Ja=f(kr),bn=a(kr,"SPAN",{});var Mm=i(bn);Ya=m(Mm,"ORTModelForCausalLM"),Mm.forEach(t),kr.forEach(t),Ys=f(o),me=a(o,"DIV",{class:!0});var Lo=i(me);b(Jt.$$.fragment,Lo),Ka=f(Lo),Tn=a(Lo,"P",{});var ym=i(Tn);Za=m(ym,"ONNX model with a causal language modeling head for ONNX Runtime inference."),ym.forEach(t),ei=f(Lo),U=a(Lo,"DIV",{class:!0});var _e=i(U);b(Yt.$$.fragment,_e),ti=f(_e),Me=a(_e,"P",{});var Xo=i(Me);oi=m(Xo,"The "),On=a(Xo,"CODE",{});var qm=i(On);ni=m(qm,"ORTModelForCausalLM"),qm.forEach(t),si=m(Xo," forward method, overrides the "),Mn=a(Xo,"CODE",{});var Em=i(Mn);ri=m(Em,"__call__"),Em.forEach(t),ai=m(Xo," special method."),Xo.forEach(t),ii=f(_e),b(Ge.$$.fragment,_e),li=f(_e),b(Je.$$.fragment,_e),pi=f(_e),b(Ye.$$.fragment,_e),_e.forEach(t),Lo.forEach(t),Ks=f(o),ye=a(o,"H2",{class:!0});var xr=i(ye);Ke=a(xr,"A",{id:!0,class:!0,href:!0});var jm=i(Ke);yn=a(jm,"SPAN",{});var Rm=i(yn);b(Kt.$$.fragment,Rm),Rm.forEach(t),jm.forEach(t),mi=f(xr),qn=a(xr,"SPAN",{});var Fm=i(qn);di=m(Fm,"ORTModelForCustomTasks"),Fm.forEach(t),xr.forEach(t),Zs=f(o),A=a(o,"DIV",{class:!0});var te=i(A);b(Zt.$$.fragment,te),ci=f(te),En=a(te,"P",{});var Cm=i(En);ui=m(Cm,"Onnx Model for any custom tasks. It can be used to leverage the inference acceleration with any custom exported ONNX model."),Cm.forEach(t),hi=f(te),eo=a(te,"P",{});var wr=i(eo);fi=m(wr,"This model inherits from [~"),jn=a(wr,"CODE",{});var zm=i(jn);gi=m(zm,"onnxruntime.modeling_ort.ORTModel"),zm.forEach(t),_i=m(wr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),wr.forEach(t),$i=f(te),Rn=a(te,"P",{});var Sm=i(Rn);vi=m(Sm,"Onnx Model for any custom tasks using encoder or decoder-only models."),Sm.forEach(t),ki=f(te),V=a(te,"DIV",{class:!0});var $e=i(V);b(to.$$.fragment,$e),xi=f($e),qe=a($e,"P",{});var Qo=i(qe);wi=m(Qo,"The "),Fn=a(Qo,"CODE",{});var Pm=i(Fn);bi=m(Pm,"ORTModelForCustomTasks"),Pm.forEach(t),Ti=m(Qo," forward method, overrides the "),Cn=a(Qo,"CODE",{});var Am=i(Cn);Oi=m(Am,"__call__"),Am.forEach(t),Mi=m(Qo," special method."),Qo.forEach(t),yi=f($e),b(Ze.$$.fragment,$e),qi=f($e),b(et.$$.fragment,$e),Ei=f($e),b(tt.$$.fragment,$e),$e.forEach(t),ji=f(te),ot=a(te,"DIV",{class:!0});var br=i(ot);b(oo.$$.fragment,br),Ri=f(br),zn=a(br,"P",{});var Nm=i(zn);Fi=m(Nm,`Returns IOBinding object for an inference session. This method is created for general purpose, if the inputs and outputs
are determined, you can prepare data buffers directly to avoid tensor transfers across frameworks.`),Nm.forEach(t),br.forEach(t),te.forEach(t),er=f(o),Ee=a(o,"H2",{class:!0});var Tr=i(Ee);nt=a(Tr,"A",{id:!0,class:!0,href:!0});var Im=i(nt);Sn=a(Im,"SPAN",{});var Dm=i(Sn);b(no.$$.fragment,Dm),Dm.forEach(t),Im.forEach(t),Ci=f(Tr),Pn=a(Tr,"SPAN",{});var Lm=i(Pn);zi=m(Lm,"ORTModelForFeatureExtraction"),Lm.forEach(t),Tr.forEach(t),tr=f(o),N=a(o,"DIV",{class:!0});var oe=i(N);b(so.$$.fragment,oe),Si=f(oe),An=a(oe,"P",{});var Xm=i(An);Pi=m(Xm,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Xm.forEach(t),Ai=f(oe),ro=a(oe,"P",{});var Or=i(ro);Ni=m(Or,"This model inherits from [~"),Nn=a(Or,"CODE",{});var Qm=i(Nn);Ii=m(Qm,"onnxruntime.modeling_ort.ORTModel"),Qm.forEach(t),Di=m(Or,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Or.forEach(t),Li=f(oe),In=a(oe,"P",{});var Um=i(In);Xi=m(Um,"Feature Extraction model for ONNX."),Um.forEach(t),Qi=f(oe),W=a(oe,"DIV",{class:!0});var ve=i(W);b(ao.$$.fragment,ve),Ui=f(ve),je=a(ve,"P",{});var Uo=i(je);Vi=m(Uo,"The "),Dn=a(Uo,"CODE",{});var Vm=i(Dn);Wi=m(Vm,"ORTModelForFeatureExtraction"),Vm.forEach(t),Hi=m(Uo," forward method, overrides the "),Ln=a(Uo,"CODE",{});var Wm=i(Ln);Bi=m(Wm,"__call__"),Wm.forEach(t),Gi=m(Uo," special method."),Uo.forEach(t),Ji=f(ve),b(st.$$.fragment,ve),Yi=f(ve),b(rt.$$.fragment,ve),Ki=f(ve),b(at.$$.fragment,ve),ve.forEach(t),Zi=f(oe),it=a(oe,"DIV",{class:!0});var Mr=i(it);b(io.$$.fragment,Mr),el=f(Mr),Xn=a(Mr,"P",{});var Hm=i(Xn);tl=m(Hm,"Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Hm.forEach(t),Mr.forEach(t),oe.forEach(t),or=f(o),Re=a(o,"H2",{class:!0});var yr=i(Re);lt=a(yr,"A",{id:!0,class:!0,href:!0});var Bm=i(lt);Qn=a(Bm,"SPAN",{});var Gm=i(Qn);b(lo.$$.fragment,Gm),Gm.forEach(t),Bm.forEach(t),ol=f(yr),Un=a(yr,"SPAN",{});var Jm=i(Un);nl=m(Jm,"ORTModelForImageClassification"),Jm.forEach(t),yr.forEach(t),nr=f(o),I=a(o,"DIV",{class:!0});var ne=i(I);b(po.$$.fragment,ne),sl=f(ne),Vn=a(ne,"P",{});var Ym=i(Vn);rl=m(Ym,"Onnx Model for image-classification tasks."),Ym.forEach(t),al=f(ne),mo=a(ne,"P",{});var qr=i(mo);il=m(qr,"This model inherits from [~"),Wn=a(qr,"CODE",{});var Km=i(Wn);ll=m(Km,"onnxruntime.modeling_ort.ORTModel"),Km.forEach(t),pl=m(qr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),qr.forEach(t),ml=f(ne),Hn=a(ne,"P",{});var Zm=i(Hn);dl=m(Zm,"Image Classification model for ONNX."),Zm.forEach(t),cl=f(ne),H=a(ne,"DIV",{class:!0});var ke=i(H);b(co.$$.fragment,ke),ul=f(ke),Fe=a(ke,"P",{});var Vo=i(Fe);hl=m(Vo,"The "),Bn=a(Vo,"CODE",{});var ed=i(Bn);fl=m(ed,"ORTModelForImageClassification"),ed.forEach(t),gl=m(Vo," forward method, overrides the "),Gn=a(Vo,"CODE",{});var td=i(Gn);_l=m(td,"__call__"),td.forEach(t),$l=m(Vo," special method."),Vo.forEach(t),vl=f(ke),b(pt.$$.fragment,ke),kl=f(ke),b(mt.$$.fragment,ke),xl=f(ke),b(dt.$$.fragment,ke),ke.forEach(t),wl=f(ne),ct=a(ne,"DIV",{class:!0});var Er=i(ct);b(uo.$$.fragment,Er),bl=f(Er),Jn=a(Er,"P",{});var od=i(Jn);Tl=m(od,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),od.forEach(t),Er.forEach(t),ne.forEach(t),sr=f(o),Ce=a(o,"H2",{class:!0});var jr=i(Ce);ut=a(jr,"A",{id:!0,class:!0,href:!0});var nd=i(ut);Yn=a(nd,"SPAN",{});var sd=i(Yn);b(ho.$$.fragment,sd),sd.forEach(t),nd.forEach(t),Ol=f(jr),Kn=a(jr,"SPAN",{});var rd=i(Kn);Ml=m(rd,"ORTModelForQuestionAnswering"),rd.forEach(t),jr.forEach(t),rr=f(o),D=a(o,"DIV",{class:!0});var se=i(D);b(fo.$$.fragment,se),yl=f(se),Zn=a(se,"P",{});var ad=i(Zn);ql=m(ad,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),ad.forEach(t),El=f(se),go=a(se,"P",{});var Rr=i(go);jl=m(Rr,"This model inherits from [~"),es=a(Rr,"CODE",{});var id=i(es);Rl=m(id,"onnxruntime.modeling_ort.ORTModel"),id.forEach(t),Fl=m(Rr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Rr.forEach(t),Cl=f(se),ts=a(se,"P",{});var ld=i(ts);zl=m(ld,"Question Answering model for ONNX."),ld.forEach(t),Sl=f(se),B=a(se,"DIV",{class:!0});var xe=i(B);b(_o.$$.fragment,xe),Pl=f(xe),ze=a(xe,"P",{});var Wo=i(ze);Al=m(Wo,"The "),os=a(Wo,"CODE",{});var pd=i(os);Nl=m(pd,"ORTModelForQuestionAnswering"),pd.forEach(t),Il=m(Wo," forward method, overrides the "),ns=a(Wo,"CODE",{});var md=i(ns);Dl=m(md,"__call__"),md.forEach(t),Ll=m(Wo," special method."),Wo.forEach(t),Xl=f(xe),b(ht.$$.fragment,xe),Ql=f(xe),b(ft.$$.fragment,xe),Ul=f(xe),b(gt.$$.fragment,xe),xe.forEach(t),Vl=f(se),_t=a(se,"DIV",{class:!0});var Fr=i(_t);b($o.$$.fragment,Fr),Wl=f(Fr),ss=a(Fr,"P",{});var dd=i(ss);Hl=m(dd,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),dd.forEach(t),Fr.forEach(t),se.forEach(t),ar=f(o),Se=a(o,"H2",{class:!0});var Cr=i(Se);$t=a(Cr,"A",{id:!0,class:!0,href:!0});var cd=i($t);rs=a(cd,"SPAN",{});var ud=i(rs);b(vo.$$.fragment,ud),ud.forEach(t),cd.forEach(t),Bl=f(Cr),as=a(Cr,"SPAN",{});var hd=i(as);Gl=m(hd,"ORTModelForSeq2SeqLM"),hd.forEach(t),Cr.forEach(t),ir=f(o),de=a(o,"DIV",{class:!0});var Ho=i(de);b(ko.$$.fragment,Ho),Jl=f(Ho),is=a(Ho,"P",{});var fd=i(is);Yl=m(fd,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),fd.forEach(t),Kl=f(Ho),G=a(Ho,"DIV",{class:!0});var we=i(G);b(xo.$$.fragment,we),Zl=f(we),Pe=a(we,"P",{});var Bo=i(Pe);ep=m(Bo,"The "),ls=a(Bo,"CODE",{});var gd=i(ls);tp=m(gd,"ORTModelForSeq2SeqLM"),gd.forEach(t),op=m(Bo," forward method, overrides the "),ps=a(Bo,"CODE",{});var _d=i(ps);np=m(_d,"__call__"),_d.forEach(t),sp=m(Bo," special method."),Bo.forEach(t),rp=f(we),b(vt.$$.fragment,we),ap=f(we),b(kt.$$.fragment,we),ip=f(we),b(xt.$$.fragment,we),we.forEach(t),Ho.forEach(t),lr=f(o),Ae=a(o,"H2",{class:!0});var zr=i(Ae);wt=a(zr,"A",{id:!0,class:!0,href:!0});var $d=i(wt);ms=a($d,"SPAN",{});var vd=i(ms);b(wo.$$.fragment,vd),vd.forEach(t),$d.forEach(t),lp=f(zr),ds=a(zr,"SPAN",{});var kd=i(ds);pp=m(kd,"ORTModelForSequenceClassification"),kd.forEach(t),zr.forEach(t),pr=f(o),L=a(o,"DIV",{class:!0});var re=i(L);b(bo.$$.fragment,re),mp=f(re),cs=a(re,"P",{});var xd=i(cs);dp=m(xd,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),xd.forEach(t),cp=f(re),To=a(re,"P",{});var Sr=i(To);up=m(Sr,"This model inherits from [~"),us=a(Sr,"CODE",{});var wd=i(us);hp=m(wd,"onnxruntime.modeling_ort.ORTModel"),wd.forEach(t),fp=m(Sr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Sr.forEach(t),gp=f(re),hs=a(re,"P",{});var bd=i(hs);_p=m(bd,"Sequence Classification model for ONNX."),bd.forEach(t),$p=f(re),Q=a(re,"DIV",{class:!0});var ae=i(Q);b(Oo.$$.fragment,ae),vp=f(ae),Ne=a(ae,"P",{});var Go=i(Ne);kp=m(Go,"The "),fs=a(Go,"CODE",{});var Td=i(fs);xp=m(Td,"ORTModelForSequenceClassification"),Td.forEach(t),wp=m(Go," forward method, overrides the "),gs=a(Go,"CODE",{});var Od=i(gs);bp=m(Od,"__call__"),Od.forEach(t),Tp=m(Go," special method."),Go.forEach(t),Op=f(ae),b(bt.$$.fragment,ae),Mp=f(ae),b(Tt.$$.fragment,ae),yp=f(ae),b(Ot.$$.fragment,ae),qp=f(ae),b(Mt.$$.fragment,ae),ae.forEach(t),Ep=f(re),yt=a(re,"DIV",{class:!0});var Pr=i(yt);b(Mo.$$.fragment,Pr),jp=f(Pr),_s=a(Pr,"P",{});var Md=i(_s);Rp=m(Md,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Md.forEach(t),Pr.forEach(t),re.forEach(t),mr=f(o),Ie=a(o,"H2",{class:!0});var Ar=i(Ie);qt=a(Ar,"A",{id:!0,class:!0,href:!0});var yd=i(qt);$s=a(yd,"SPAN",{});var qd=i($s);b(yo.$$.fragment,qd),qd.forEach(t),yd.forEach(t),Fp=f(Ar),vs=a(Ar,"SPAN",{});var Ed=i(vs);Cp=m(Ed,"ORTModelForSpeechSeq2Seq"),Ed.forEach(t),Ar.forEach(t),dr=f(o),ce=a(o,"DIV",{class:!0});var Jo=i(ce);b(qo.$$.fragment,Jo),zp=f(Jo),ks=a(Jo,"P",{});var jd=i(ks);Sp=m(jd,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),jd.forEach(t),Pp=f(Jo),J=a(Jo,"DIV",{class:!0});var be=i(J);b(Eo.$$.fragment,be),Ap=f(be),De=a(be,"P",{});var Yo=i(De);Np=m(Yo,"The "),xs=a(Yo,"CODE",{});var Rd=i(xs);Ip=m(Rd,"ORTModelForSpeechSeq2Seq"),Rd.forEach(t),Dp=m(Yo," forward method, overrides the "),ws=a(Yo,"CODE",{});var Fd=i(ws);Lp=m(Fd,"__call__"),Fd.forEach(t),Xp=m(Yo," special method."),Yo.forEach(t),Qp=f(be),b(Et.$$.fragment,be),Up=f(be),b(jt.$$.fragment,be),Vp=f(be),b(Rt.$$.fragment,be),be.forEach(t),Jo.forEach(t),cr=f(o),Le=a(o,"H2",{class:!0});var Nr=i(Le);Ft=a(Nr,"A",{id:!0,class:!0,href:!0});var Cd=i(Ft);bs=a(Cd,"SPAN",{});var zd=i(bs);b(jo.$$.fragment,zd),zd.forEach(t),Cd.forEach(t),Wp=f(Nr),Ts=a(Nr,"SPAN",{});var Sd=i(Ts);Hp=m(Sd,"ORTModelForTokenClassification"),Sd.forEach(t),Nr.forEach(t),ur=f(o),X=a(o,"DIV",{class:!0});var ie=i(X);b(Ro.$$.fragment,ie),Bp=f(ie),Os=a(ie,"P",{});var Pd=i(Os);Gp=m(Pd,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Pd.forEach(t),Jp=f(ie),Fo=a(ie,"P",{});var Ir=i(Fo);Yp=m(Ir,"This model inherits from [~"),Ms=a(Ir,"CODE",{});var Ad=i(Ms);Kp=m(Ad,"onnxruntime.modeling_ort.ORTModel"),Ad.forEach(t),Zp=m(Ir,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ir.forEach(t),em=f(ie),ys=a(ie,"P",{});var Nd=i(ys);tm=m(Nd,"Token Classification model for ONNX."),Nd.forEach(t),om=f(ie),Y=a(ie,"DIV",{class:!0});var Te=i(Y);b(Co.$$.fragment,Te),nm=f(Te),Xe=a(Te,"P",{});var Ko=i(Xe);sm=m(Ko,"The "),qs=a(Ko,"CODE",{});var Id=i(qs);rm=m(Id,"ORTModelForTokenClassification"),Id.forEach(t),am=m(Ko," forward method, overrides the "),Es=a(Ko,"CODE",{});var Dd=i(Es);im=m(Dd,"__call__"),Dd.forEach(t),lm=m(Ko," special method."),Ko.forEach(t),pm=f(Te),b(Ct.$$.fragment,Te),mm=f(Te),b(zt.$$.fragment,Te),dm=f(Te),b(St.$$.fragment,Te),Te.forEach(t),cm=f(ie),Pt=a(ie,"DIV",{class:!0});var Dr=i(Pt);b(zo.$$.fragment,Dr),um=f(Dr),js=a(Dr,"P",{});var Ld=i(js);hm=m(Ld,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),Ld.forEach(t),Dr.forEach(t),ie.forEach(t),this.h()},h(){q(n,"name","hf:doc:metadata"),q(n,"content",JSON.stringify(wc)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(c,"class","relative group"),q(Ue,"id","optimum.onnxruntime.ORTModel"),q(Ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ue,"href","#optimum.onnxruntime.ORTModel"),q(j,"class","relative group"),q(Qt,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),q(Qt,"rel","nofollow"),q(Ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(We,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Be,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Be,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(Oe,"class","relative group"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ke,"id","optimum.onnxruntime.ORTModelForCustomTasks"),q(Ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ke,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),q(ye,"class","relative group"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(nt,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(nt,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ee,"class","relative group"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(lt,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(lt,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(Re,"class","relative group"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ut,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ut,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Ce,"class","relative group"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q($t,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q($t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q($t,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(Se,"class","relative group"),q(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(wt,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(wt,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(Ae,"class","relative group"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(qt,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(qt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(qt,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(Ie,"class","relative group"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ft,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(Ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ft,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(Le,"class","relative group"),q(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,v){e(document.head,n),k(o,_,v),k(o,c,v),e(c,u),e(u,g),T(s,g,null),e(c,l),e(c,x),e(x,d),k(o,$,v),k(o,j,v),e(j,Ue),e(Ue,Zo),T(At,Zo,null),e(j,Lr),e(j,en),e(en,Xr),k(o,Gs,v),k(o,F,v),T(Nt,F,null),e(F,Qr),e(F,tn),e(tn,Ur),e(F,Vr),e(F,It),e(It,Wr),e(It,on),e(on,Hr),e(It,Br),e(F,Gr),e(F,nn),e(nn,Jr),e(F,Yr),e(F,Dt),e(Dt,le),e(le,Kr),e(le,sn),e(sn,Zr),e(le,ea),e(le,rn),e(rn,ta),e(le,oa),e(le,an),e(an,na),e(le,sa),e(Dt,ra),e(Dt,pe),e(pe,aa),e(pe,ln),e(ln,ia),e(pe,la),e(pe,pn),e(pn,pa),e(pe,ma),e(pe,mn),e(mn,da),e(pe,ca),e(F,ua),e(F,dn),e(dn,ha),e(F,fa),e(F,K),e(K,Lt),e(Lt,ga),e(Lt,cn),e(cn,_a),e(Lt,$a),e(K,va),e(K,Xt),e(Xt,ka),e(Xt,Qt),e(Qt,xa),e(Xt,wa),e(K,ba),e(K,Z),e(Z,Ta),e(Z,un),e(un,Oa),e(Z,Ma),e(Z,hn),e(hn,ya),e(Z,qa),e(Z,fn),e(fn,Ea),e(Z,ja),e(Z,gn),e(gn,Ra),e(Z,Fa),e(K,Ca),e(K,Ut),e(Ut,za),e(Ut,_n),e(_n,Sa),e(Ut,Pa),e(K,Aa),e(K,$n),e($n,Na),e(F,Ia),e(F,Ve),T(Vt,Ve,null),e(Ve,Da),e(Ve,vn),e(vn,La),e(F,Xa),e(F,We),T(Wt,We,null),e(We,Qa),e(We,Ht),e(Ht,Ua),e(Ht,kn),e(kn,Va),e(Ht,Wa),e(F,Ha),e(F,He),T(Bt,He,null),e(He,Ba),e(He,xn),e(xn,Ga),k(o,Js,v),k(o,Oe,v),e(Oe,Be),e(Be,wn),T(Gt,wn,null),e(Oe,Ja),e(Oe,bn),e(bn,Ya),k(o,Ys,v),k(o,me,v),T(Jt,me,null),e(me,Ka),e(me,Tn),e(Tn,Za),e(me,ei),e(me,U),T(Yt,U,null),e(U,ti),e(U,Me),e(Me,oi),e(Me,On),e(On,ni),e(Me,si),e(Me,Mn),e(Mn,ri),e(Me,ai),e(U,ii),T(Ge,U,null),e(U,li),T(Je,U,null),e(U,pi),T(Ye,U,null),k(o,Ks,v),k(o,ye,v),e(ye,Ke),e(Ke,yn),T(Kt,yn,null),e(ye,mi),e(ye,qn),e(qn,di),k(o,Zs,v),k(o,A,v),T(Zt,A,null),e(A,ci),e(A,En),e(En,ui),e(A,hi),e(A,eo),e(eo,fi),e(eo,jn),e(jn,gi),e(eo,_i),e(A,$i),e(A,Rn),e(Rn,vi),e(A,ki),e(A,V),T(to,V,null),e(V,xi),e(V,qe),e(qe,wi),e(qe,Fn),e(Fn,bi),e(qe,Ti),e(qe,Cn),e(Cn,Oi),e(qe,Mi),e(V,yi),T(Ze,V,null),e(V,qi),T(et,V,null),e(V,Ei),T(tt,V,null),e(A,ji),e(A,ot),T(oo,ot,null),e(ot,Ri),e(ot,zn),e(zn,Fi),k(o,er,v),k(o,Ee,v),e(Ee,nt),e(nt,Sn),T(no,Sn,null),e(Ee,Ci),e(Ee,Pn),e(Pn,zi),k(o,tr,v),k(o,N,v),T(so,N,null),e(N,Si),e(N,An),e(An,Pi),e(N,Ai),e(N,ro),e(ro,Ni),e(ro,Nn),e(Nn,Ii),e(ro,Di),e(N,Li),e(N,In),e(In,Xi),e(N,Qi),e(N,W),T(ao,W,null),e(W,Ui),e(W,je),e(je,Vi),e(je,Dn),e(Dn,Wi),e(je,Hi),e(je,Ln),e(Ln,Bi),e(je,Gi),e(W,Ji),T(st,W,null),e(W,Yi),T(rt,W,null),e(W,Ki),T(at,W,null),e(N,Zi),e(N,it),T(io,it,null),e(it,el),e(it,Xn),e(Xn,tl),k(o,or,v),k(o,Re,v),e(Re,lt),e(lt,Qn),T(lo,Qn,null),e(Re,ol),e(Re,Un),e(Un,nl),k(o,nr,v),k(o,I,v),T(po,I,null),e(I,sl),e(I,Vn),e(Vn,rl),e(I,al),e(I,mo),e(mo,il),e(mo,Wn),e(Wn,ll),e(mo,pl),e(I,ml),e(I,Hn),e(Hn,dl),e(I,cl),e(I,H),T(co,H,null),e(H,ul),e(H,Fe),e(Fe,hl),e(Fe,Bn),e(Bn,fl),e(Fe,gl),e(Fe,Gn),e(Gn,_l),e(Fe,$l),e(H,vl),T(pt,H,null),e(H,kl),T(mt,H,null),e(H,xl),T(dt,H,null),e(I,wl),e(I,ct),T(uo,ct,null),e(ct,bl),e(ct,Jn),e(Jn,Tl),k(o,sr,v),k(o,Ce,v),e(Ce,ut),e(ut,Yn),T(ho,Yn,null),e(Ce,Ol),e(Ce,Kn),e(Kn,Ml),k(o,rr,v),k(o,D,v),T(fo,D,null),e(D,yl),e(D,Zn),e(Zn,ql),e(D,El),e(D,go),e(go,jl),e(go,es),e(es,Rl),e(go,Fl),e(D,Cl),e(D,ts),e(ts,zl),e(D,Sl),e(D,B),T(_o,B,null),e(B,Pl),e(B,ze),e(ze,Al),e(ze,os),e(os,Nl),e(ze,Il),e(ze,ns),e(ns,Dl),e(ze,Ll),e(B,Xl),T(ht,B,null),e(B,Ql),T(ft,B,null),e(B,Ul),T(gt,B,null),e(D,Vl),e(D,_t),T($o,_t,null),e(_t,Wl),e(_t,ss),e(ss,Hl),k(o,ar,v),k(o,Se,v),e(Se,$t),e($t,rs),T(vo,rs,null),e(Se,Bl),e(Se,as),e(as,Gl),k(o,ir,v),k(o,de,v),T(ko,de,null),e(de,Jl),e(de,is),e(is,Yl),e(de,Kl),e(de,G),T(xo,G,null),e(G,Zl),e(G,Pe),e(Pe,ep),e(Pe,ls),e(ls,tp),e(Pe,op),e(Pe,ps),e(ps,np),e(Pe,sp),e(G,rp),T(vt,G,null),e(G,ap),T(kt,G,null),e(G,ip),T(xt,G,null),k(o,lr,v),k(o,Ae,v),e(Ae,wt),e(wt,ms),T(wo,ms,null),e(Ae,lp),e(Ae,ds),e(ds,pp),k(o,pr,v),k(o,L,v),T(bo,L,null),e(L,mp),e(L,cs),e(cs,dp),e(L,cp),e(L,To),e(To,up),e(To,us),e(us,hp),e(To,fp),e(L,gp),e(L,hs),e(hs,_p),e(L,$p),e(L,Q),T(Oo,Q,null),e(Q,vp),e(Q,Ne),e(Ne,kp),e(Ne,fs),e(fs,xp),e(Ne,wp),e(Ne,gs),e(gs,bp),e(Ne,Tp),e(Q,Op),T(bt,Q,null),e(Q,Mp),T(Tt,Q,null),e(Q,yp),T(Ot,Q,null),e(Q,qp),T(Mt,Q,null),e(L,Ep),e(L,yt),T(Mo,yt,null),e(yt,jp),e(yt,_s),e(_s,Rp),k(o,mr,v),k(o,Ie,v),e(Ie,qt),e(qt,$s),T(yo,$s,null),e(Ie,Fp),e(Ie,vs),e(vs,Cp),k(o,dr,v),k(o,ce,v),T(qo,ce,null),e(ce,zp),e(ce,ks),e(ks,Sp),e(ce,Pp),e(ce,J),T(Eo,J,null),e(J,Ap),e(J,De),e(De,Np),e(De,xs),e(xs,Ip),e(De,Dp),e(De,ws),e(ws,Lp),e(De,Xp),e(J,Qp),T(Et,J,null),e(J,Up),T(jt,J,null),e(J,Vp),T(Rt,J,null),k(o,cr,v),k(o,Le,v),e(Le,Ft),e(Ft,bs),T(jo,bs,null),e(Le,Wp),e(Le,Ts),e(Ts,Hp),k(o,ur,v),k(o,X,v),T(Ro,X,null),e(X,Bp),e(X,Os),e(Os,Gp),e(X,Jp),e(X,Fo),e(Fo,Yp),e(Fo,Ms),e(Ms,Kp),e(Fo,Zp),e(X,em),e(X,ys),e(ys,tm),e(X,om),e(X,Y),T(Co,Y,null),e(Y,nm),e(Y,Xe),e(Xe,sm),e(Xe,qs),e(qs,rm),e(Xe,am),e(Xe,Es),e(Es,im),e(Xe,lm),e(Y,pm),T(Ct,Y,null),e(Y,mm),T(zt,Y,null),e(Y,dm),T(St,Y,null),e(X,cm),e(X,Pt),T(zo,Pt,null),e(Pt,um),e(Pt,js),e(js,hm),hr=!0},p(o,[v]){const So={};v&2&&(So.$$scope={dirty:v,ctx:o}),Ge.$set(So);const Rs={};v&2&&(Rs.$$scope={dirty:v,ctx:o}),Je.$set(Rs);const Fs={};v&2&&(Fs.$$scope={dirty:v,ctx:o}),Ye.$set(Fs);const Cs={};v&2&&(Cs.$$scope={dirty:v,ctx:o}),Ze.$set(Cs);const Po={};v&2&&(Po.$$scope={dirty:v,ctx:o}),et.$set(Po);const zs={};v&2&&(zs.$$scope={dirty:v,ctx:o}),tt.$set(zs);const Ss={};v&2&&(Ss.$$scope={dirty:v,ctx:o}),st.$set(Ss);const Ps={};v&2&&(Ps.$$scope={dirty:v,ctx:o}),rt.$set(Ps);const C={};v&2&&(C.$$scope={dirty:v,ctx:o}),at.$set(C);const As={};v&2&&(As.$$scope={dirty:v,ctx:o}),pt.$set(As);const Ao={};v&2&&(Ao.$$scope={dirty:v,ctx:o}),mt.$set(Ao);const Ns={};v&2&&(Ns.$$scope={dirty:v,ctx:o}),dt.$set(Ns);const Is={};v&2&&(Is.$$scope={dirty:v,ctx:o}),ht.$set(Is);const No={};v&2&&(No.$$scope={dirty:v,ctx:o}),ft.$set(No);const ue={};v&2&&(ue.$$scope={dirty:v,ctx:o}),gt.$set(ue);const Ds={};v&2&&(Ds.$$scope={dirty:v,ctx:o}),vt.$set(Ds);const Ls={};v&2&&(Ls.$$scope={dirty:v,ctx:o}),kt.$set(Ls);const Xs={};v&2&&(Xs.$$scope={dirty:v,ctx:o}),xt.$set(Xs);const he={};v&2&&(he.$$scope={dirty:v,ctx:o}),bt.$set(he);const Qs={};v&2&&(Qs.$$scope={dirty:v,ctx:o}),Tt.$set(Qs);const Us={};v&2&&(Us.$$scope={dirty:v,ctx:o}),Ot.$set(Us);const Vs={};v&2&&(Vs.$$scope={dirty:v,ctx:o}),Mt.$set(Vs);const Ws={};v&2&&(Ws.$$scope={dirty:v,ctx:o}),Et.$set(Ws);const ee={};v&2&&(ee.$$scope={dirty:v,ctx:o}),jt.$set(ee);const Io={};v&2&&(Io.$$scope={dirty:v,ctx:o}),Rt.$set(Io);const Hs={};v&2&&(Hs.$$scope={dirty:v,ctx:o}),Ct.$set(Hs);const Do={};v&2&&(Do.$$scope={dirty:v,ctx:o}),zt.$set(Do);const Bs={};v&2&&(Bs.$$scope={dirty:v,ctx:o}),St.$set(Bs)},i(o){hr||(O(s.$$.fragment,o),O(At.$$.fragment,o),O(Nt.$$.fragment,o),O(Vt.$$.fragment,o),O(Wt.$$.fragment,o),O(Bt.$$.fragment,o),O(Gt.$$.fragment,o),O(Jt.$$.fragment,o),O(Yt.$$.fragment,o),O(Ge.$$.fragment,o),O(Je.$$.fragment,o),O(Ye.$$.fragment,o),O(Kt.$$.fragment,o),O(Zt.$$.fragment,o),O(to.$$.fragment,o),O(Ze.$$.fragment,o),O(et.$$.fragment,o),O(tt.$$.fragment,o),O(oo.$$.fragment,o),O(no.$$.fragment,o),O(so.$$.fragment,o),O(ao.$$.fragment,o),O(st.$$.fragment,o),O(rt.$$.fragment,o),O(at.$$.fragment,o),O(io.$$.fragment,o),O(lo.$$.fragment,o),O(po.$$.fragment,o),O(co.$$.fragment,o),O(pt.$$.fragment,o),O(mt.$$.fragment,o),O(dt.$$.fragment,o),O(uo.$$.fragment,o),O(ho.$$.fragment,o),O(fo.$$.fragment,o),O(_o.$$.fragment,o),O(ht.$$.fragment,o),O(ft.$$.fragment,o),O(gt.$$.fragment,o),O($o.$$.fragment,o),O(vo.$$.fragment,o),O(ko.$$.fragment,o),O(xo.$$.fragment,o),O(vt.$$.fragment,o),O(kt.$$.fragment,o),O(xt.$$.fragment,o),O(wo.$$.fragment,o),O(bo.$$.fragment,o),O(Oo.$$.fragment,o),O(bt.$$.fragment,o),O(Tt.$$.fragment,o),O(Ot.$$.fragment,o),O(Mt.$$.fragment,o),O(Mo.$$.fragment,o),O(yo.$$.fragment,o),O(qo.$$.fragment,o),O(Eo.$$.fragment,o),O(Et.$$.fragment,o),O(jt.$$.fragment,o),O(Rt.$$.fragment,o),O(jo.$$.fragment,o),O(Ro.$$.fragment,o),O(Co.$$.fragment,o),O(Ct.$$.fragment,o),O(zt.$$.fragment,o),O(St.$$.fragment,o),O(zo.$$.fragment,o),hr=!0)},o(o){M(s.$$.fragment,o),M(At.$$.fragment,o),M(Nt.$$.fragment,o),M(Vt.$$.fragment,o),M(Wt.$$.fragment,o),M(Bt.$$.fragment,o),M(Gt.$$.fragment,o),M(Jt.$$.fragment,o),M(Yt.$$.fragment,o),M(Ge.$$.fragment,o),M(Je.$$.fragment,o),M(Ye.$$.fragment,o),M(Kt.$$.fragment,o),M(Zt.$$.fragment,o),M(to.$$.fragment,o),M(Ze.$$.fragment,o),M(et.$$.fragment,o),M(tt.$$.fragment,o),M(oo.$$.fragment,o),M(no.$$.fragment,o),M(so.$$.fragment,o),M(ao.$$.fragment,o),M(st.$$.fragment,o),M(rt.$$.fragment,o),M(at.$$.fragment,o),M(io.$$.fragment,o),M(lo.$$.fragment,o),M(po.$$.fragment,o),M(co.$$.fragment,o),M(pt.$$.fragment,o),M(mt.$$.fragment,o),M(dt.$$.fragment,o),M(uo.$$.fragment,o),M(ho.$$.fragment,o),M(fo.$$.fragment,o),M(_o.$$.fragment,o),M(ht.$$.fragment,o),M(ft.$$.fragment,o),M(gt.$$.fragment,o),M($o.$$.fragment,o),M(vo.$$.fragment,o),M(ko.$$.fragment,o),M(xo.$$.fragment,o),M(vt.$$.fragment,o),M(kt.$$.fragment,o),M(xt.$$.fragment,o),M(wo.$$.fragment,o),M(bo.$$.fragment,o),M(Oo.$$.fragment,o),M(bt.$$.fragment,o),M(Tt.$$.fragment,o),M(Ot.$$.fragment,o),M(Mt.$$.fragment,o),M(Mo.$$.fragment,o),M(yo.$$.fragment,o),M(qo.$$.fragment,o),M(Eo.$$.fragment,o),M(Et.$$.fragment,o),M(jt.$$.fragment,o),M(Rt.$$.fragment,o),M(jo.$$.fragment,o),M(Ro.$$.fragment,o),M(Co.$$.fragment,o),M(Ct.$$.fragment,o),M(zt.$$.fragment,o),M(St.$$.fragment,o),M(zo.$$.fragment,o),hr=!1},d(o){t(n),o&&t(_),o&&t(c),y(s),o&&t($),o&&t(j),y(At),o&&t(Gs),o&&t(F),y(Nt),y(Vt),y(Wt),y(Bt),o&&t(Js),o&&t(Oe),y(Gt),o&&t(Ys),o&&t(me),y(Jt),y(Yt),y(Ge),y(Je),y(Ye),o&&t(Ks),o&&t(ye),y(Kt),o&&t(Zs),o&&t(A),y(Zt),y(to),y(Ze),y(et),y(tt),y(oo),o&&t(er),o&&t(Ee),y(no),o&&t(tr),o&&t(N),y(so),y(ao),y(st),y(rt),y(at),y(io),o&&t(or),o&&t(Re),y(lo),o&&t(nr),o&&t(I),y(po),y(co),y(pt),y(mt),y(dt),y(uo),o&&t(sr),o&&t(Ce),y(ho),o&&t(rr),o&&t(D),y(fo),y(_o),y(ht),y(ft),y(gt),y($o),o&&t(ar),o&&t(Se),y(vo),o&&t(ir),o&&t(de),y(ko),y(xo),y(vt),y(kt),y(xt),o&&t(lr),o&&t(Ae),y(wo),o&&t(pr),o&&t(L),y(bo),y(Oo),y(bt),y(Tt),y(Ot),y(Mt),y(Mo),o&&t(mr),o&&t(Ie),y(yo),o&&t(dr),o&&t(ce),y(qo),y(Eo),y(Et),y(jt),y(Rt),o&&t(cr),o&&t(Le),y(jo),o&&t(ur),o&&t(X),y(Ro),y(Co),y(Ct),y(zt),y(St),y(zo)}}}const wc={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"}],title:"Models"};function bc(E){return Wd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jc extends Xd{constructor(n){super();Qd(this,n,bc,xc,Ud,{})}}export{jc as default,wc as metadata};
