import{S as mt,i as lt,s as ct,e as o,k as s,w as b,t as d,M as dt,c as a,d as n,m,a as i,x as z,h as u,b as l,G as e,g as X,y as x,L as ut,q as v,o as O,B as T,v as pt}from"../../../chunks/vendor-hf-doc-builder.js";import{D as M}from"../../../chunks/Docstring-hf-doc-builder.js";import{I as st}from"../../../chunks/IconCopyLink-hf-doc-builder.js";function gt(Ge){let p,oe,g,y,G,P,_e,H,fe,ae,h,q,B,E,be,J,ze,ie,r,N,xe,j,ve,Oe,S,C,Te,$,F,ye,K,qe,$e,R,k,Re,_,Qe,Y,we,De,Z,Pe,Ee,Ne,Q,L,Ce,I,Fe,ee,ke,Le,Ie,w,U,Ue,te,Ae,We,D,A,Me,W,Se,ne,Ve,Xe,re;return P=new st({}),E=new st({}),N=new M({props:{name:"class optimum.onnxruntime.ORTQuantizer",anchor:"optimum.onnxruntime.ORTQuantizer",parameters:[{name:"onnx_model_path",val:": Path"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L84"}}),C=new M({props:{name:"compute_ranges",anchor:"optimum.onnxruntime.ORTQuantizer.compute_ranges",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L264",returnDescription:`
<p>The dictionary mapping the nodes name to their quantization ranges.</p>
`}}),F=new M({props:{name:"fit",anchor:"optimum.onnxruntime.ORTQuantizer.fit",parameters:[{name:"dataset",val:": Dataset"},{name:"calibration_config",val:": CalibrationConfig"},{name:"onnx_augmented_model_name",val:": typing.Union[str, pathlib.Path] = 'augmented_model.onnx'"},{name:"operators_to_quantize",val:": typing.Optional[typing.List[str]] = None"},{name:"batch_size",val:": int = 1"},{name:"use_external_data_format",val:": bool = False"},{name:"use_gpu",val:": bool = False"},{name:"force_symmetric_range",val:": bool = False"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTQuantizer.fit.dataset",description:`<strong>dataset</strong> (<code>Dataset</code>) &#x2014;
The dataset to use when performing the calibration step.`,name:"dataset"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.calibration_config",description:`<strong>calibration_config</strong> (<code>CalibrationConfig</code>) &#x2014;
The configuration containing the parameters related to the calibration step.`,name:"calibration_config"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.onnx_augmented_model_name",description:`<strong>onnx_augmented_model_name</strong> (<code>Union[str, Path]</code>, <em>optional</em>, defaults to <code>&quot;augmented_model.onnx&quot;</code>) &#x2014;
The path used to save the augmented model used to collect the quantization ranges.`,name:"onnx_augmented_model_name"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.operators_to_quantize",description:`<strong>operators_to_quantize</strong> (<code>Optional[List[NodeType]]</code>, <em>optional</em>) &#x2014;
List of the operators types to quantize.`,name:"operators_to_quantize"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The batch size to use when collecting the quantization ranges values.`,name:"batch_size"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.use_external_data_format",description:`<strong>use_external_data_format</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use external data format to store model which size is &gt;= 2Gb.`,name:"use_external_data_format"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.use_gpu",description:`<strong>use_gpu</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the GPU when collecting the quantization ranges values.`,name:"use_gpu"},{anchor:"optimum.onnxruntime.ORTQuantizer.fit.force_symmetric_range",description:`<strong>force_symmetric_range</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to make the quantization ranges symmetric.`,name:"force_symmetric_range"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L157",returnDescription:`
<p>The dictionary mapping the nodes name to their quantization ranges.</p>
`}}),k=new M({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTQuantizer.from_pretrained",parameters:[{name:"model_or_path",val:": typing.Union[ForwardRef('ORTModel'), str, pathlib.Path]"},{name:"file_name",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTQuantizer.from_pretrained.model_or_path",description:`<strong>model_or_path</strong> (<code>Union[ORTModel, str, Path]</code>) &#x2014;
Can be either:<ul>
<li>A path to a saved exported ONNX Intermediate Representation (IR) model, e.g., \`./my_model_directory/.</li>
<li>Or an <code>ORTModelForXX</code> class, e.g., <code>ORTModelForQuestionAnswering</code>.</li>
</ul>`,name:"model_or_path"},{anchor:"optimum.onnxruntime.ORTQuantizer.from_pretrained.file_name(Optional[str],",description:`<strong>file_name(<code>Optional[str]</code>,</strong> <em>optional</em>) &#x2014;
Overwrites the default model file name from <code>&quot;model.onnx&quot;</code> to <code>file_name</code>.
This allows you to load different model files from the same repository or directory.`,name:"file_name(Optional[str],"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L111",returnDescription:`
<p>An instance of <code>ORTQuantizer</code>.</p>
`}}),L=new M({props:{name:"get_calibration_dataset",anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset",parameters:[{name:"dataset_name",val:": str"},{name:"num_samples",val:": int = 100"},{name:"dataset_config_name",val:": typing.Optional[str] = None"},{name:"dataset_split",val:": typing.Optional[str] = None"},{name:"preprocess_function",val:": typing.Optional[typing.Callable] = None"},{name:"preprocess_batch",val:": bool = True"},{name:"seed",val:": int = 2016"},{name:"use_auth_token",val:": bool = False"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.dataset_name",description:`<strong>dataset_name</strong> (<code>str</code>) &#x2014;
The dataset repository name on the Hugging Face Hub or path to a local directory containing data files
to load to use for the calibration step.`,name:"dataset_name"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.num_samples",description:`<strong>num_samples</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
The maximum number of samples composing the calibration dataset.`,name:"num_samples"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.dataset_config_name",description:`<strong>dataset_config_name</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
The name of the dataset configuration.`,name:"dataset_config_name"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.dataset_split",description:`<strong>dataset_split</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
Which split of the dataset to use to perform the calibration step.`,name:"dataset_split"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.preprocess_function",description:`<strong>preprocess_function</strong> (<code>Optional[Callable]</code>, <em>optional</em>) &#x2014;
Processing function to apply to each example after loading dataset.`,name:"preprocess_function"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.preprocess_batch",description:`<strong>preprocess_batch</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the <code>preprocess_function</code> should be batched.`,name:"preprocess_batch"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.seed",description:`<strong>seed</strong> (<code>int</code>, <em>optional</em>, defaults to 2016) &#x2014;
The random seed to use when shuffling the calibration dataset.`,name:"seed"},{anchor:"optimum.onnxruntime.ORTQuantizer.get_calibration_dataset.use_auth_token",description:`<strong>use_auth_token</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use the token generated when running <code>transformers-cli login</code> (necessary for some datasets
like ImageNet).`,name:"use_auth_token"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L415",returnDescription:`
<p>The calibration <code>datasets.Dataset</code> to use for the post-training static quantization calibration
step.</p>
`}}),U=new M({props:{name:"partial_fit",anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit",parameters:[{name:"dataset",val:": Dataset"},{name:"calibration_config",val:": CalibrationConfig"},{name:"onnx_augmented_model_name",val:": typing.Union[str, pathlib.Path] = 'augmented_model.onnx'"},{name:"operators_to_quantize",val:": typing.Optional[typing.List[str]] = None"},{name:"batch_size",val:": int = 1"},{name:"use_external_data_format",val:": bool = False"},{name:"use_gpu",val:": bool = False"},{name:"force_symmetric_range",val:": bool = False"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.dataset",description:`<strong>dataset</strong> (<code>Dataset</code>) &#x2014;
The dataset to use when performing the calibration step.`,name:"dataset"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.calibration_config",description:`<strong>calibration_config</strong> (<code>CalibrationConfig</code>) &#x2014;
The configuration containing the parameters related to the calibration step.`,name:"calibration_config"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.onnx_augmented_model_name",description:`<strong>onnx_augmented_model_name</strong> (<code>Union[str, Path]</code>, <em>optional</em>, defaults to <code>&quot;augmented_model.onnx&quot;</code>) &#x2014;
The path used to save the augmented model used to collect the quantization ranges.`,name:"onnx_augmented_model_name"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.operators_to_quantize",description:`<strong>operators_to_quantize</strong> (<code>Optional[List[NodeType]]</code>, <em>optional</em>) &#x2014;
List of the operators types to quantize.`,name:"operators_to_quantize"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The batch size to use when collecting the quantization ranges values.`,name:"batch_size"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.use_external_data_format",description:`<strong>use_external_data_format</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether uto se external data format to store model which size is &gt;= 2Gb.`,name:"use_external_data_format"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.use_gpu",description:`<strong>use_gpu</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use the GPU when collecting the quantization ranges values.`,name:"use_gpu"},{anchor:"optimum.onnxruntime.ORTQuantizer.partial_fit.force_symmetric_range",description:`<strong>force_symmetric_range</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to make the quantization ranges symmetric.`,name:"force_symmetric_range"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L211",returnDescription:`
<p>The dictionary mapping the nodes name to their quantization ranges.</p>
`}}),A=new M({props:{name:"quantize",anchor:"optimum.onnxruntime.ORTQuantizer.quantize",parameters:[{name:"quantization_config",val:": QuantizationConfig"},{name:"save_dir",val:": typing.Union[str, pathlib.Path]"},{name:"file_suffix",val:": typing.Optional[str] = 'quantized'"},{name:"calibration_tensors_range",val:": typing.Union[typing.Dict[str, typing.Tuple[float, float]], NoneType] = None"},{name:"use_external_data_format",val:": bool = False"},{name:"preprocessor",val:": typing.Optional[optimum.onnxruntime.preprocessors.quantization.QuantizationPreprocessor] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.quantization_config",description:`<strong>quantization_config</strong> (<code>QuantizationConfig</code>) &#x2014;
The configuration containing the parameters related to quantization.`,name:"quantization_config"},{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.save_dir",description:`<strong>save_dir</strong> (<code>Union[str, Path]</code>) &#x2014;
The directory where the quantized model should be saved.`,name:"save_dir"},{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.file_suffix",description:`<strong>file_suffix</strong> (<code>Optional[str]</code>, <em>optional</em>, defaults to <code>&quot;quantized&quot;</code>) &#x2014;
The file_suffix used to save the quantized model.`,name:"file_suffix"},{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.calibration_tensors_range",description:`<strong>calibration_tensors_range</strong> (<code>Optional[Dict[NodeName, Tuple[float, float]]]</code>, <em>optional</em>) &#x2014;
The dictionary mapping the nodes name to their quantization ranges, used and required only when applying
static quantization.`,name:"calibration_tensors_range"},{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.use_external_data_format",description:`<strong>use_external_data_format</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use external data format to store model which size is &gt;= 2Gb.`,name:"use_external_data_format"},{anchor:"optimum.onnxruntime.ORTQuantizer.quantize.preprocessor",description:`<strong>preprocessor</strong> (<code>Optional[QuantizationPreprocessor]</code>, <em>optional</em>) &#x2014;
The preprocessor to use to collect the nodes to include or exclude from quantization.`,name:"preprocessor"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/quantization.py#L277",returnDescription:`
<p>The path of the resulting quantized model.</p>
`}}),{c(){p=o("meta"),oe=s(),g=o("h1"),y=o("a"),G=o("span"),b(P.$$.fragment),_e=s(),H=o("span"),fe=d("Quantization"),ae=s(),h=o("h2"),q=o("a"),B=o("span"),b(E.$$.fragment),be=s(),J=o("span"),ze=d("ORTQuantizer"),ie=s(),r=o("div"),b(N.$$.fragment),xe=s(),j=o("p"),ve=d("Handles the ONNX Runtime quantization process for models shared on huggingface.co/models."),Oe=s(),S=o("div"),b(C.$$.fragment),Te=s(),$=o("div"),b(F.$$.fragment),ye=s(),K=o("p"),qe=d("Performs the calibration step and collect the quantization ranges."),$e=s(),R=o("div"),b(k.$$.fragment),Re=s(),_=o("p"),Qe=d("Instantiates a "),Y=o("code"),we=d("ORTQuantizer"),De=d(" from a an ONNX model file or an "),Z=o("code"),Pe=d("ORTModel"),Ee=d("."),Ne=s(),Q=o("div"),b(L.$$.fragment),Ce=s(),I=o("p"),Fe=d("Creates the calibration "),ee=o("code"),ke=d("datasets.Dataset"),Le=d(" to use for the post-training static quantization calibration step."),Ie=s(),w=o("div"),b(U.$$.fragment),Ue=s(),te=o("p"),Ae=d("Performs the calibration step and collect the quantization ranges."),We=s(),D=o("div"),b(A.$$.fragment),Me=s(),W=o("p"),Se=d("Quantizes a model given the optimization specifications defined in "),ne=o("code"),Ve=d("quantization_config"),Xe=d("."),this.h()},l(t){const f=dt('[data-svelte="svelte-1phssyn"]',document.head);p=a(f,"META",{name:!0,content:!0}),f.forEach(n),oe=m(t),g=a(t,"H1",{class:!0});var se=i(g);y=a(se,"A",{id:!0,class:!0,href:!0});var He=i(y);G=a(He,"SPAN",{});var Be=i(G);z(P.$$.fragment,Be),Be.forEach(n),He.forEach(n),_e=m(se),H=a(se,"SPAN",{});var Je=i(H);fe=u(Je,"Quantization"),Je.forEach(n),se.forEach(n),ae=m(t),h=a(t,"H2",{class:!0});var me=i(h);q=a(me,"A",{id:!0,class:!0,href:!0});var je=i(q);B=a(je,"SPAN",{});var Ke=i(B);z(E.$$.fragment,Ke),Ke.forEach(n),je.forEach(n),be=m(me),J=a(me,"SPAN",{});var Ye=i(J);ze=u(Ye,"ORTQuantizer"),Ye.forEach(n),me.forEach(n),ie=m(t),r=a(t,"DIV",{class:!0});var c=i(r);z(N.$$.fragment,c),xe=m(c),j=a(c,"P",{});var Ze=i(j);ve=u(Ze,"Handles the ONNX Runtime quantization process for models shared on huggingface.co/models."),Ze.forEach(n),Oe=m(c),S=a(c,"DIV",{class:!0});var et=i(S);z(C.$$.fragment,et),et.forEach(n),Te=m(c),$=a(c,"DIV",{class:!0});var le=i($);z(F.$$.fragment,le),ye=m(le),K=a(le,"P",{});var tt=i(K);qe=u(tt,"Performs the calibration step and collect the quantization ranges."),tt.forEach(n),le.forEach(n),$e=m(c),R=a(c,"DIV",{class:!0});var ce=i(R);z(k.$$.fragment,ce),Re=m(ce),_=a(ce,"P",{});var V=i(_);Qe=u(V,"Instantiates a "),Y=a(V,"CODE",{});var nt=i(Y);we=u(nt,"ORTQuantizer"),nt.forEach(n),De=u(V," from a an ONNX model file or an "),Z=a(V,"CODE",{});var ot=i(Z);Pe=u(ot,"ORTModel"),ot.forEach(n),Ee=u(V,"."),V.forEach(n),ce.forEach(n),Ne=m(c),Q=a(c,"DIV",{class:!0});var de=i(Q);z(L.$$.fragment,de),Ce=m(de),I=a(de,"P",{});var ue=i(I);Fe=u(ue,"Creates the calibration "),ee=a(ue,"CODE",{});var at=i(ee);ke=u(at,"datasets.Dataset"),at.forEach(n),Le=u(ue," to use for the post-training static quantization calibration step."),ue.forEach(n),de.forEach(n),Ie=m(c),w=a(c,"DIV",{class:!0});var pe=i(w);z(U.$$.fragment,pe),Ue=m(pe),te=a(pe,"P",{});var it=i(te);Ae=u(it,"Performs the calibration step and collect the quantization ranges."),it.forEach(n),pe.forEach(n),We=m(c),D=a(c,"DIV",{class:!0});var ge=i(D);z(A.$$.fragment,ge),Me=m(ge),W=a(ge,"P",{});var he=i(W);Se=u(he,"Quantizes a model given the optimization specifications defined in "),ne=a(he,"CODE",{});var rt=i(ne);Ve=u(rt,"quantization_config"),rt.forEach(n),Xe=u(he,"."),he.forEach(n),ge.forEach(n),c.forEach(n),this.h()},h(){l(p,"name","hf:doc:metadata"),l(p,"content",JSON.stringify(ht)),l(y,"id","quantization"),l(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(y,"href","#quantization"),l(g,"class","relative group"),l(q,"id","optimum.onnxruntime.ORTQuantizer"),l(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(q,"href","#optimum.onnxruntime.ORTQuantizer"),l(h,"class","relative group"),l(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(r,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,f){e(document.head,p),X(t,oe,f),X(t,g,f),e(g,y),e(y,G),x(P,G,null),e(g,_e),e(g,H),e(H,fe),X(t,ae,f),X(t,h,f),e(h,q),e(q,B),x(E,B,null),e(h,be),e(h,J),e(J,ze),X(t,ie,f),X(t,r,f),x(N,r,null),e(r,xe),e(r,j),e(j,ve),e(r,Oe),e(r,S),x(C,S,null),e(r,Te),e(r,$),x(F,$,null),e($,ye),e($,K),e(K,qe),e(r,$e),e(r,R),x(k,R,null),e(R,Re),e(R,_),e(_,Qe),e(_,Y),e(Y,we),e(_,De),e(_,Z),e(Z,Pe),e(_,Ee),e(r,Ne),e(r,Q),x(L,Q,null),e(Q,Ce),e(Q,I),e(I,Fe),e(I,ee),e(ee,ke),e(I,Le),e(r,Ie),e(r,w),x(U,w,null),e(w,Ue),e(w,te),e(te,Ae),e(r,We),e(r,D),x(A,D,null),e(D,Me),e(D,W),e(W,Se),e(W,ne),e(ne,Ve),e(W,Xe),re=!0},p:ut,i(t){re||(v(P.$$.fragment,t),v(E.$$.fragment,t),v(N.$$.fragment,t),v(C.$$.fragment,t),v(F.$$.fragment,t),v(k.$$.fragment,t),v(L.$$.fragment,t),v(U.$$.fragment,t),v(A.$$.fragment,t),re=!0)},o(t){O(P.$$.fragment,t),O(E.$$.fragment,t),O(N.$$.fragment,t),O(C.$$.fragment,t),O(F.$$.fragment,t),O(k.$$.fragment,t),O(L.$$.fragment,t),O(U.$$.fragment,t),O(A.$$.fragment,t),re=!1},d(t){n(p),t&&n(oe),t&&n(g),T(P),t&&n(ae),t&&n(h),T(E),t&&n(ie),t&&n(r),T(N),T(C),T(F),T(k),T(L),T(U),T(A)}}}const ht={local:"quantization",sections:[{local:"optimum.onnxruntime.ORTQuantizer",title:"ORTQuantizer"}],title:"Quantization"};function _t(Ge){return pt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xt extends mt{constructor(p){super();lt(this,p,_t,gt,ct,{})}}export{xt as default,ht as metadata};
